<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddGtvDependenciasConvenio extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('gtv_dependencia', function (Blueprint $table) {
            $table->engine = "InnoDB";
            $table->charset = 'utf8';
            $table->collation = 'utf8_unicode_ci';
            $table->date('inicioconvenio_dep')->nullable()->after('convenio_dep');
            $table->date('terminoconvenio_dep')->nullable()->after('inicioconvenio_dep');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('gtv_dependencia', function (Blueprint $table) {
            $table->dropColumn('inicioconvenio_dep');
            $table->dropColumn('terminoconvenio_dep');
        });
    }
}
